Subject: Re: Fwd: That whole "Linux stealing our code" thing

From: Adrian Bunk <[email-masked]>
Date: Sun, 2 Sep 2007 00:29:01 +0200

On Sat, Sep 01, 2007 at 03:03:36PM -0700, Sam Leffler wrote:
> Adrian Bunk wrote:
>> On Sat, Sep 01, 2007 at 01:37:18PM -0400, Constantine A. Murenin wrote:
>>   
>>> On 01/09/07, Jeff Garzik <[email-masked]> wrote:
>>>     
>>>> Constantine A. Murenin wrote:
>>>>       
>>>>> This will hopefully help diminish certain myths about the code 
>>>>> licensing.
>>>>>         
>>>> What myth?  The myth that Theo understands dual licensing?
>>>>       
>>> Reyk's code was never dual licensed, so it's not like it even matters
>>> to the original dispute.
>>>     
>>
>> It's no longer dual licenced in the FreeBSD tree because the FreeBSD 
>> people removed the GPL choice of the dual licenced code 3 months ago.
>>
>> So all of Theo's accusations of people breaking the law by making this 
>> dual licenced code GPL-only apply as well to the FreeBSD people...
>>   
>
> Sigh, why actually check the facts when you can make them up.   The code in 
> question is my code.  It has my copyright (modulo bits shared with onoe-san 
> who was consulted on the switch from dual-bsd/gpl to bsd only in freebsd).  

The latter is the code by Video54 Technologies?

> Of course what was amusing was how after I changed the license on the 
> current code in freebsd certain folks retroactively applied the license 
> changes to code that was 3 years old.
>
> But is there a point to all this nonsense?  I dual-licensed the code so 
> folks could adopt and use it however they saw fit.  As I've said before I 
> don't care what people do with the work I give away so long as they don't 
> claim it's their own.

Fully agreed.  :-)

>>> That said, I don't see what exact wording you consider inaccurate.
>>>     
>>
>> Both the FreeBSD and Linux people draw the logical conclusion that this 
>> "Alternatively" means everyone can always choose to remove one of the two 
>> choices alternatively offered.
>>
>> According to Theo, that is "breaking the law"...
>
> I've yet to see "FreeBSD people" speak up so again you're just spouting 
> jibberish.  I am speaking up as the author of the code that set the dual 
> license in place.  I have the definitive say and I have said that any of my 
> code that is dual-licensed can be made gpl only.

Sorry, this has been a thinko on my side:

If noone except you and onoe-san made any contributions to this code 
that were non-trivial enough for automatically giving its author a 
copyright on his contributions (whatever this means in various 
jurisdictions...) it was indeed an author-only change.

>    Sam

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed